- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionTabBarBase Class Reference

Search for all occurrences

## Detailed Description

Definition at line 218 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionTabBarBase:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_TabBarBase }
enum | StyleOptionVersion { Version = 1 }
## Public Member Functions
| QStyleOptionTabBarBase ()
| QStyleOptionTabBarBase (const QStyleOptionTabBarBase &other)
## Public Attributes
QTabBar::Shape | shape
QRect | tabBarRect
QRect | selectedTabRect
## Protected Member Functions
| QStyleOptionTabBarBase (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 221 of file qstyleoption.h.

    { Type = SO_TabBarBase };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionTabBarBaseV2.

Definition at line 222 of file qstyleoption.h.

    { Version = 1 };

## Constructor & Destructor Documentation

QStyleOptionTabBarBase | ( |  | ) |

QStyleOptionTabBarBase | ( | const QStyleOptionTabBarBase & | other | ) | `[inline]`

Definition at line 229 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionTabBarBase | ( | int | version | ) | `[protected]`

## Member Data Documentation

QTabBar::Shape shape

Search for all occurrences

Definition at line 224 of file qstyleoption.h.

QRect tabBarRect

Search for all occurrences

Definition at line 225 of file qstyleoption.h.

QRect selectedTabRect

Search for all occurrences

Definition at line 226 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase
QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase QStyleOptionTabBarBase